Subject: Re: bug#47767: 28.0.50; japanese-hankaku unnatural or misconversion results

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 May 2021 17:10:31 +0200

Kazuhiro Ito <[email-masked]> writes:

> 1. japanese-hankaku[-region] with ASCII-ONLY option converts Japanese
> panctuation characters and prolonged sound mark to ascii.
>
> (japanese-hankaku "ケーキ、ドーナツ。" t)
> -> "ケ-キ,ド-ナツ."
>
> the result is very unnatural because "ー", "、" and "。" are normally
> used among Japanese characters which are not converted to hankaku in
> this case.  I hope they are kept as is (the result should be
> "ケーキ、ドーナツ。").
>
> 2. japanese-hankaku[-region] without ASCII-ONLY option and
> japanese-zenkaku[-region] fails to convert Latin punctuations.
>
> (japanese-zenkaku "A, B, C.")
> -> "Ａ、　Ｂ、　Ｃ。"
>
> (japanese-hankaku "Ａ，Ｂ，Ｃ．")
> -> "A､B､C｡"
>
> They should be "Ａ，　Ｂ，　Ｃ．" and "A,B,C." respectively.
>
> Below patch fixes problems.

Thanks; applied to Emacs 28.

I don't know Japanese, but since nobody else has piped up about this
patch in three weeks, I'm applying it.  If other Japanese-speaking
people disagree with this patch, we can revert it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no